diff --git a/pica-etherpad/entrypoint.sh b/pica-etherpad/entrypoint.sh
index 3054d913c76bf1d149af16054ba2310037844d8e..1c11e43385647bf00254abbda500d4ea3aa36700 100644
--- a/pica-etherpad/entrypoint.sh
+++ b/pica-etherpad/entrypoint.sh
@@ -22,21 +22,9 @@ if [ -z "${DB_HOST}" ]; then
 	exit 1
 fi
 
-while ! mysqladmin ping -u${DB_USER} -p${DB_PASSWORD} -h"${DB_HOST}"; do
-    sleep 1
+while ! mysqladmin ping -u${DB_USER} -p${DB_PASSWORD} -h"${DB_HOST} &>/dev/null"; do
+		echo "Database server not ready yet, re-trying in 5 seconds..."
+    sleep 5
 done
 
-# Check if database already exists
-RESULT=`mysql -u${DB_USER} -p${DB_PASSWORD} \
-	-h${DB_HOST} --skip-column-names \
-	-e "SHOW DATABASES LIKE '${DB_NAME}'"`
-
-if [ "$RESULT" != $DB_NAME ]; then
-	# mysql database does not exist, create it
-	echo "Creating database ${DB_NAME}"
-
-	mysql -u${DB_USER} -p${DB_PASSWORD} -h${DB_HOST} \
-	      -e "create database ${DB_NAME}"
-fi
-
 exec "$@"
diff --git a/pica-etherpad/landing-page/index.full.html b/pica-etherpad/landing-page/index.full.html
index ee6e0df8c724efbd3f53e0d43b7a7c0556aa7e52..aed516a38d5ede06128a1b5a11a2648fe58e243d 100644
--- a/pica-etherpad/landing-page/index.full.html
+++ b/pica-etherpad/landing-page/index.full.html
@@ -36,8 +36,8 @@
 
             <div class="row py-3" style="background-color: #33333333; border-radius: .3rem">
               <div class="col-12">
-                En raison d'une forte augmentation de la charge sur pad.picasoft.net,
-                nous avons déployé une deuxième instance sur week.pad.picasoft.net</a>.
+                En raison d'une forte augmentation de la charge sur notre instance principale,
+                nous avons déployé une deuxième instance sur hebdomadaire.
                 Les pads sur cette nouvelle instance sont supprimés après 14 jours d'inactivité.
                 Si vos pads ont vocation à être temporaires, nous vous remercions de privilégier
                 cette nouvelle instance :)